import {gql} from "./gql";

export const reg = async (login, password) => {
    let query = `mutation reg($login:String! , $password:String!) {
        createUser(login:$login,password:$password){
    _id login
  }
  }`;
    let qVariables = {
      l: login,
      p: password,
    };
    let result = await gql(query, qVariables);
    return result;
  };

  export const log = async (login, password) => {
    let query = ` query log($login:String!,$password:String!) {
        login(login:$login,password:$password)
      }`;
    let qVariables = {
      l: login,
      p: password,
    };
    let result = await gql(query, qVariables);
    return result;
  };

  export const search = async (string) => {
    return gql(
      `query snippetFind($query:String){
        SnippetFind(query:$query){
          owner {
            _id login
          }
              title description _id files {
               type text name
             }
          }
    }`,
      { query: JSON.stringify([
        {
            $or: [{title: `/${string.trim().split(" ").join('|')}/`},{description: `/${string.trim().split(" ").join('|')}/`}] 
        },
        {
          sort: [{title: 1}]}]) }
    );
  };
  export const userFind = (_id) => {
    return gql(
      `query userOne($query:String) {
        UserFindOne(query:$query){
          _id avatar{
            url
          }
        }
      }`,
      { query: JSON.stringify([{ _id }]) }
    );
  };
